# Package uk.ac.starlink.dpac.math

package uk.ac.starlink.dpac.math

Class
Description
Edsd
Calculates quantities related to the Exponentially Decreasing Space Density prior for estimating distances from parallaxes.
Function
Defines a univariate function.
FuncUtils
Utility methods associated with functions.
Integral
Performs indefinite numerical integration using an adaptive Simpson's rule.
NumericFunction
Provides an ordered set of (x,y) samples from a function.
PolynomialFunction
Immutable representation of a real polynomial function with real coefficients.
PolynomialSplineFunction
Represents a polynomial spline function.
SplineInterpolator
Computes a natural (also known as "free", "unclamped") cubic spline interpolation for the data set.